Bug 1127763 - Require qemu-kvm-rhev on EL to support live snapshots
Summary: Require qemu-kvm-rhev on EL to support live snapshots
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Allon Mureinik
QA Contact: Aharon Canan
URL:
Whiteboard: storage
: 1132529 (view as bug list)
Depends On:
Blocks: 1135061
TreeView+ depends on / blocked
 
Reported: 2014-08-07 13:53 UTC by Allon Mureinik
Modified: 2016-02-10 18:29 UTC (History)
13 users (show)

Fixed In Version: v4.16.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1135061 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:44:07 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31214 master MERGED spec: Require qemu-kvm-rhev in EL Never
oVirt gerrit 31271 ovirt-3.5 MERGED spec: Require qemu-kvm-rhev in EL Never

Description Allon Mureinik 2014-08-07 13:53:19 UTC
Description of problem:
qemu-kvm on EL6 does not support live snapshots - qemu-kvm-rhev is required for this.

Version-Release number of selected component (if applicable):
3.5

How reproducible:
100%

Steps to Reproduce:
1. yum install vdsm

Actual results:
qemu-kvm installed

Expected results:
qemu-kvm-rhev should be installed

Additional info:

Comment 1 Allon Mureinik 2014-08-07 13:55:01 UTC
Eyal - in order to do this, we'd need to provide qemu-kvm and qemu-kvm-rhev in oVirt's channel.
Can you assist with this?

Comment 2 Eyal Edri 2014-08-07 14:00:27 UTC
already done for ovirt rc1: http://resources.ovirt.org/pub/ovirt-3.5-pre/rpm/el6/x86_64/

Comment 3 Elad 2014-08-31 08:06:48 UTC
vdsm installation on a rhel6.5 host includes the qemu-kvm-rhev packages:


Installing:
 vdsm                                                      x86_64                                  4.16.2-1.gite8cba75.el6                                       ovirt                                         839 k


Installing for dependencies:


qemu-kvm-rhev                                             x86_64                                  2:0.12.1.2-2.415.el6_5.14                                     ovirt                                         1.5 M


Verified using ovirt-3.5-rc1.1

Comment 4 Dan Kenigsberg 2014-09-02 15:40:16 UTC
*** Bug 1132529 has been marked as a duplicate of this bug. ***

Comment 5 Elad 2014-09-02 17:46:31 UTC
*** Bug 1132529 has been marked as a duplicate of this bug. ***

Comment 6 Nikolai Sednev 2014-09-03 16:43:23 UTC
works for me as well on these components:
ovirt-engine-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch
vdsm-4.16.2-1.gite8cba75.el7.x86_64
sanlock-3.1.0-2.el7.x86_64
qemu-kvm-rhev-1.5.3-60.el7_0.2.x86_64

Comment 7 Sandro Bonazzola 2014-10-17 12:44:07 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.